> ## Documentation Index
> Fetch the complete documentation index at: https://docs.boundlesspay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Subscription

> Create a new subscription for a customer.



## OpenAPI

````yaml POST /subscriptions
openapi: 3.1.0
info:
  title: BoundlessPay API
  version: 1.0.0
servers: []
security: []
paths:
  /subscriptions:
    post:
      description: Create a new subscription for a customer.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                subscriptionPlanId:
                  type: string
                customerReference:
                  type: string
                cardId:
                  type: string
                autocharge:
                  type: boolean
      responses:
        '401':
          description: Missing API credentials

````